Get costs by property
curl --request GET \
--url https://api.traceloop.com/v2/costs/by-association-property \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traceloop.com/v2/costs/by-association-property"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traceloop.com/v2/costs/by-association-property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"property_name": "<string>",
"values": [
{}
],
"total_cost": 123
}Costs
Get costs by property
GET
/
v2
/
costs
/
by-association-property
Get costs by property
Query your LLM costs broken down by a specific association property. This helps you understand how costs are distributed across different values of a property (e.g., by user_id, session_id, or any other association property you track).
The API can return special values:
Request Parameters
string
required
The name of the association property to group costs by (e.g., “user_id”, “session_id”).
string
required
The start time in ISO 8601 format (e.g., “2025-04-15T00:00:00Z”).
string
required
The end time in ISO 8601 format (e.g., “2025-04-28T23:00:00Z”).
string
List of environments to include in the calculation. Separated by comma.
string
NEW Filter costs by specific token types. Separate multiple types with commas.Supported token types:
input_tokensorprompt_tokens(automatically normalized toprompt_tokens)output_tokensorcompletion_tokens(automatically normalized tocompletion_tokens)cache_read_input_tokenscache_creation_input_tokens- Other token types as they appear in your data
total_tokens cannot be used as a filter.Examples:selected_token_types=input_tokens,output_tokensselected_token_types=prompt_tokens,cache_read_input_tokensselected_token_types=completion_tokens
Response
string
The name of the property that was queried.
PropertyValue[]
A list of property values and their associated costs.
number
The total cost across all property values.
{
"property_name": "session_id",
"values": [
{
"value": "session_21",
"cost": 1.23
},
{
"value": "session_5",
"cost": 4.56
},
{
"value": "No_Value",
"cost": 0.78
}
],
"total_cost": 6.57
}
"No_Association"as property_name if no spans have the requested association properties"No_Value"as a value for spans that don’t have a value for the specified property"Unknown_Value"for spans where the property exists but has an empty value
Was this page helpful?

